Yahoo! Messenger v11.5 - Buffer Overflow Vulnerability



Title:
======
Yahoo! Messenger v11.5 - Buffer Overflow Vulnerability


Date:
=====
2012-02-11


References:
===========
http://www.vulnerability-lab.com/get_content.php?id=434


VL-ID:
=====
434


Introduction:
=============
Der Yahoo Messenger (eigene Schreibung Yahoo! Messenger, kurz auch Y!M, YIM oder Yim) ist ein verbreiteter
Instant-Messaging-Client, sowie ein Protokoll von Yahoo. Der Yahoo Messenger ist kostenlos und kann mit
einem gültigen Yahoo-Zugang heruntergeladen und installiert werden. Die Funktionen des Yahoo Messenger sind
ICQ, dem AOL Instant Messenger und dem Windows Live Messenger sehr ähnlich, sie sind zueinander aber nicht
kompatibel. Allerdings haben sich Microsoft und Yahoo entschlossen, ihre IM-Dienste zusammenzuschließen.
Seit Version 8 von Yahoo Messenger können zumindest Textnachrichten mit dem Windows Live Messenger ausgetauscht werden

(Copy of the Vendor Homepage: http://de.wikipedia.org/wiki/Yahoo_Messenger )


Abstract:
=========
The Vulnerability Lab Research Team discovered a Buffer Overflow Vulnerability on the Yahoo Messenger v11.5


Report-Timeline:
================
2012-02-10: Public or Non-Public Disclosure


Status:
========
Published


Affected Products:
==================
Yahoo!
Product: Instant Messenger v11.5


Exploitation-Technique:
=======================
Local


Severity:
=========
High


Details:
========
A Buffer Overflow vulnerability is detected on Yahoos IMessenger v11.5 client software.
The bug is located on the drag & drop message box function of the software when processing special crafted file transfers.
The vulnerability allows an local attacker to crash down(stable) the software & all bound yahoo components.

Vulnerable Module(s):
[+] Drag & Drop - Message Box




Picture(s):
../1.png
../2.png


Proof of Concept:
=================
This vulnerability can be exploited by local attackers. For demonstration or reproduce ...

PoC Video:
http://www.vulnerability-lab.com/get_content.php?id=432


Risk:
=====
The security risk of the local vulnerability is estimated as high(-).


Credits:
========
Vulnerability Research Laboratory - Manideep a.k.a z3r0 erRoR


Disclaimer:
===========
The information provided in this advisory is provided as it is without any warranty. Vulnerability-Lab disclaims all warranties,
either expressed or implied, including the warranties of merchantability and capability for a particular purpose. Vulnerability-
Lab or its suppliers are not liable in any case of damage, including direct, indirect, incidental, consequential loss of business
profits or special damages, even if Vulnerability-Lab or its suppliers have been advised of the possibility of such damages. Some
states do not allow the exclusion or limitation of liability for consequential or incidental damages so the foregoing limitation
may not apply. Any modified copy or reproduction, including partially usages, of this file requires authorization from Vulnerability-
Lab. Permission to electronically redistribute this alert in its unmodified form is granted. All other rights, including the use of
other media, are reserved by Vulnerability-Lab or its suppliers.

Copyright © 2012|Vulnerability-Lab




--
Website: www.vulnerability-lab.com ; vuln-lab.com or vuln-db.com
Contact: admin@xxxxxxxxxxxxxxxxxxxxx or support@xxxxxxxxxxxxxxxxxxxxx



Relevant Pages